Skip to main content
Version: Next

Time Series Data

Data Model

Interest Rate

  • date (string, required): ISO 8601 representation of the date from which the interest rate applies.
  • provider (string, required): Read-only value that indicates whether the interest rate has been created by the client or Aleta. Possible values: "client", "aleta".
  • value (number, required): The annual interest rate (pro anno) expressed as a decimal value.

Price

  • date (string, required): ISO 8601 representation of the date from which the price applies.
  • provider (string, required): Read-only value that indicates whether the price has been created by the client or Aleta. Possible values: "client", "aleta".
  • value (number, required): The numeric price value in the related instrument's currency.
info

Prices are end-of-day values, i.e. a price with date set to 2024-07-01 represents the instrument's price at the end of 1 July 2024.

Index Factor

  • date (string, required): ISO 8601 representation of the date from which the index factor applies.
  • provider (string, required): Read-only value that indicates whether the index factor has been created by the client or Aleta. Possible values: "client", "aleta".
  • value (number, required): The index factor value.

Net Asset Value

info

Net asset values are only relevant when working with Private Equity Instruments.

  • officialDate (string, required): ISO 8601 representation of the official NAV date.
  • effectiveDate (string, optional): ISO 8601 representation of the date from which the NAV is considered effective. When set to null, defaults to officialDate.
  • value (number, required): The net asset value amount.

Endpoints

GET /instruments/:id/interest-rates

Fetch interest rates for an instrument with a given id.

Parameters

  • id (path, required): Instrument identifier.

Examples

200 OK
# Request
GET /api/v3/instruments/5e6a90cf921d8b1874c32ed5/interest-rates HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io

# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.json+api

{
"data": [
{
"id": "f2d93a1df9ffeb8aa6c140be",
"type": "interest-rate",
"attributes": {
"date": "1900-01-01",
"value": 0.05,
"provider": "aleta"
}
}
]
}

POST /instruments/:id/interest-rates

Parameters

  • id (path, required): Instrument identifier.

Examples

201 Created
# Request
POST /api/v3/instruments/5e6a90cf921d8b1874c32ed5/interest-rates HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Content-Type: application/vnd.json+api
Host: platform.aleta.io

{
"data": {
"type": "interest-rate",
"attributes": {
"date": "1900-01-01",
"value": 0.05
}
}
}

# Response
HTTP/1.1 201 Created
Content-Type: application/vnd.json+api

{
"data": {
"id": "f2d93a1df9ffeb8aa6c140be",
"type": "interest-rate",
"attributes": {
"date": "1900-01-01",
"value": 0.05,
"provider": "client"
}
}
}

DELETE /interest-rates/:id

Delete the interest rate given by id.

Parameters

  • id (path, required): Interest rate identifier.

Examples

204 No Content
# Request
DELETE /api/v3/interest-rates/66991875143aa32c6619d648 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io


# Response
HTTP/1.1 204 No Content
Content-Type: application/vnd.api+json

GET /instruments/:id/prices

Fetch prices for an instrument with a given id.

Parameters

  • id (path, required): Instrument identifier.

Examples

200 OK
# Request
GET /api/v3/instruments/5f0475d37fe83b140c415d8f/prices HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io

# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.json+api

{
"data": [
{
"id": "668399e8e9a978c0a636a94c",
"type": "price",
"attributes": {
"date": "2024-07-01",
"value": 216.75,
"provider": "aleta"
}
},
{
"id": "6684eb68e9a978c0a6cd0303",
"type": "price",
"attributes": {
"date": "2024-07-02",
"value": 220.27,
"provider": "aleta"
}
}
]
}

POST /instruments/:id/prices

Parameters

  • id (path, required): Instrument identifier.

Examples

201 Created
# Request
POST /api/v3/instruments/6699152b115c90d14ceae709/prices HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Content-Type: application/vnd.json+api
Host: platform.aleta.io

{
"data": {
"type": "price",
"attributes": {
"date": "2024-07-03",
"value": 221.55
}
}
}

# Response
HTTP/1.1 201 Created
Content-Type: application/vnd.json+api

{
"data": {
"id": "66991875143aa32c6619d648",
"type": "price",
"attributes": {
"date": "2024-07-03",
"value": 221.55,
"provider": "client"
}
}
}

PATCH /prices/:id

Update the price given by id.

Parameters

  • id (path, required): Price identifier.

Examples

204 No Content
# Request
PATCH /api/v3/prices/66991875143aa32c6619d648 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Content-Type: application/vnd.json+api
Host: platform.aleta.io

{
"data": {
"type": "price",
"attributes": {
"value": 221.75
}
}
}

# Response
HTTP/1.1 204 No Content
Content-Type: application/vnd.json+api

DELETE /prices/:id

Delete the price given by id.

Parameters

  • id (path, required): Price identifier.

Examples

204 No Content
# Request
DELETE /api/v3/prices/66991875143aa32c6619d648 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io


# Response
HTTP/1.1 204 No Content
Content-Type: application/vnd.api+json

GET /instruments/:id/index-factors

Fetch index factors for an instrument with a given id.

Parameters

  • id (path, required): Instrument identifier.

Examples

200 OK
# Request
GET /api/v3/instruments/5f0475d37fe83b140c415d8f/index-factors HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io

# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.json+api

{
"data": [
{
"id": "668399e8e9a978c0a636a94c",
"type": "index-factor",
"attributes": {
"date": "2024-07-01",
"value": 118.75,
"provider": "aleta"
}
},
{
"id": "6684eb68e9a978c0a6cd0303",
"type": "index-factor",
"attributes": {
"date": "2024-07-02",
"value": 118.90,
"provider": "aleta"
}
}
]
}

POST /instruments/:id/index-factors

Create index factors for an instrument with a given id.

Parameters

  • id (path, required): Instrument identifier.

Examples

201 Created
# Request
POST /api/v3/instruments/6699152b115c90d14ceae709/index-factors HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Content-Type: application/vnd.json+api
Host: platform.aleta.io

{
"data": {
"type": "index-factor",
"attributes": {
"date": "2024-07-03",
"value": 118.55
}
}
}

# Response
HTTP/1.1 201 Created
Content-Type: application/vnd.json+api

{
"data": {
"id": "66991875143aa32c6619d648",
"type": "index-factor",
"attributes": {
"date": "2024-07-03",
"value": 118.55,
"provider": "client"
}
}
}

DELETE /index-factors/:id

Delete the index factor given by id.

Parameters

  • id (path, required): Index factor identifier.

Examples

204 No Content
# Request
DELETE /api/v3/index-factors/66991875143aa32c6619d648 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io


# Response
HTTP/1.1 204 No Content
Content-Type: application/vnd.api+json

GET /instruments/:id/net-asset-values

Fetch net asset values for an instrument with a given id.

Parameters

  • id (path, required): Instrument identifier.

Examples

200 OK
# Request
GET /api/v3/instruments/d7ff1805ab0737c827ce5428/net-asset-values HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.json+api
{
"data": [
{
"type": "net-asset-value",
"id": "d7ff1805ab0737c827ce5428",
"attributes": {
"officialDate": "2025-11-30",
"effectiveDate": "2025-12-01",
"value": 1022759.07
}
}
]
}

POST /instruments/:id/net-asset-values

Create a net asset value for an instrument with a given id.

Parameters

  • id (path, required): Instrument identifier.

Examples

201 Created
# Request
POST /api/v3/instruments/5eec224dac39d31c888a01da/net-asset-values HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Content-Type: application/vnd.json+api
Host: platform.aleta.io
{
"data": {
"type": "net-asset-value",
"attributes": {
"officialDate": "2022-05-01",
"effectiveDate": null,
"value": 2500000
}
}
}
# Response
HTTP/1.1 201 Created
Content-Type: application/vnd.json+api
{
"data": {
"id": "68e766b53f3c5ba4efd60821",
"type": "net-asset-value",
"attributes": {
"officialDate": "2022-05-01",
"effectiveDate": "2022-05-01",
"value": 2500000
}
}
}